<!-- <p>Varianta 1</p>
<div>
  <p *ngFor="let book of books">
    {{ book.title }}, {{ book.author }}, {{ book.description }}
  </p>
</div>

<p>Varianta 2</p> -->

<!-- <img
  src="https://i.pinimg.com/originals/69/75/9a/69759a9ccdf60cd411d618a9dcfe8a78.jpg"
/> -->

<mat-icon color="primary" style="font-size: 4rem">duo</mat-icon>

<div style="height: 100px"></div>
<mat-form-field class="example-form-field">
  <mat-label>Clearable input</mat-label>
  <input matInput type="text" [(ngModel)]="value" />
  <button
    mat-button
    *ngIf="value"
    matSuffix
    mat-icon-button
    aria-label="Clear"
    (click)="value = ''"
  >
    <mat-icon color="primary">remove_circle</mat-icon>
  </button>
</mat-form-field>

<div>
  <div *ngFor="let book of books" (click)="onEdit(book)">
    <p>Titlu: {{ book.title }}</p>
    <p>Author: {{ book.author }}</p>
    <p>Description: {{ book.description }}</p>
    <hr />

    <button (click)="onDelete(book, $event)">Delete</button>
  </div>
</div>
<br />
<button (click)="getBooks()">GetBooks</button>
<br />
<button (click)="onAddBook()">Add Book</button>

<app-add-edit-book
  *ngIf="isActive"
  [book]="selectedBook"
  (statusRequest)="onStatusResponse($event)"
></app-add-edit-book>

<app-details-book *ngIf="selectedBook" [bookId]="selectedBook.id">
</app-details-book>

<button (click)="openBookDetails('2', 'amintiri-din-copilarie')">
  Open Book Details
</button>
